Bug 609477 - pulp package info --help incorrect
Summary: pulp package info --help incorrect
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact:
URL:
Whiteboard:
Keywords: QA-Closed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 11:53 UTC by Preethi Thomas
Modified: 2011-07-15 19:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 16:11:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Preethi Thomas 2010-06-30 11:53:50 UTC
Description of problem:

[root@preethi src]#  pulp package info --help
Usage: pulp package info [OPTIONS]

Options:
  -h, --help            show this help message and exit
  -p NAME, --pkgname=NAME
                        Repository Label
  --repoid=REPOID       Repository Label




Notice that Repository label written twice.


[root@preethi src]# git log
commit 662fc1b3ef109ff09e061d211721fefb723041db
Author: Mike McCune <mmccune@redhat.com>
Date:   Tue Jun 29 16:12:03 2010 -0700

    full webservice integration test

Comment 2 Shveta 2010-08-18 10:49:32 UTC
[root@fedora12g2 ~]# pulp-admin -u admin -p admin package info --help
Usage: pulp-admin -u <username> -p <password> package info [OPTIONS]


Options:
  -h, --help            show this help message and exit
  -n NAME, --name=NAME  package name to lookup
  --repoid=REPOID       Repository Label
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.

Comment 3 Preethi Thomas 2010-10-20 16:11:13 UTC
Closed after review.


Note You need to log in before you can comment on or make changes to this bug.